org.eclipse.microprofile.reactive.messaging.tck.signatures.processors

## Class TransformerBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.processors.TransformerBean

    @ApplicationScoped
    public class TransformerBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TransformerBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getMessgesFromProcessorBuilderOfMessages(String value)`
`void` `getMessgesFromProcessorBuilderOfPayloads(String value)`
`void` `getMessgesFromProcessorOfMessages(String value)`
`void` `getMessgesFromProcessorOfPayloads(String value)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>>` `processorBuilderOfMessages(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<Integer>> stream)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `processorBuilderOfPayloads(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> stream)`
`org.reactivestreams.Publisher<Message<String>>` `processorOfMessages(org.reactivestreams.Publisher<Message<Integer>> stream)`
`org.reactivestreams.Publisher<String>` `processorOfPayloads(org.reactivestreams.Publisher<Integer> stream)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorBuilderOfMessages()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorBuilderOfPayloads()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorOfMessages()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorOfPayloads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformerBean

    public TransformerBean()

### Method Detail

#### streamForProcessorOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorOfMessages()

#### streamForProcessorOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorOfPayloads()

#### streamForProcessorBuilderOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorBuilderOfMessages()

#### streamForProcessorBuilderOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorBuilderOfPayloads()

#### getMessgesFromProcessorOfMessages

    public void getMessgesFromProcessorOfMessages(String value)

#### getMessgesFromProcessorOfPayloads

    public void getMessgesFromProcessorOfPayloads(String value)

#### getMessgesFromProcessorBuilderOfMessages

    public void getMessgesFromProcessorBuilderOfMessages(String value)

#### getMessgesFromProcessorBuilderOfPayloads

    public void getMessgesFromProcessorBuilderOfPayloads(String value)

#### processorOfMessages

    public org.reactivestreams.Publisher<Message<String>> processorOfMessages(org.reactivestreams.Publisher<Message<Integer>> stream)

#### processorOfPayloads

    public org.reactivestreams.Publisher<String> processorOfPayloads(org.reactivestreams.Publisher<Integer> stream)

#### processorBuilderOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>> processorBuilderOfMessages(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<Integer>> stream)

#### processorBuilderOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> processorBuilderOfPayloads(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> stream)